Skip to content

Update channel

View .md
PATCH

Update a contact's channel properties.

Authorization

  • Authorizationheaderrequired

    Bearer YOUR_API_KEY. Create a key in the dashboard.

Path parameters

  • contactIdstringrequired
  • channelIdstringrequired

    Channel ID.

Body

application/json

  • labelstringnullable

    Optional label for the channel. Set to null to clear.

    Limitsmax length 50
  • verifiedboolean

    Whether the channel is verified.

  • metadataobject
    1 properties
    • {key}string

Responses

200Channel updated.
  • channelobjectrequired

    A communication channel for a contact.

    12 properties
    • idstringrequired
    • channelstringrequired

      Channel type.

      One ofsmswhatsappemailtelegraminstagrammessengervoice
    • identifierstringrequired

      Channel identifier (phone number or email address).

    • countryCodestring

      ISO country code for phone numbers.

    • labelstring

      Optional label for the channel.

    • isPrimarybooleanrequired

      Whether this is the primary channel for its type.

    • verifiedbooleanrequired

      Whether this channel has been verified.

    • metricsobject

      Delivery metrics for this channel.

      5 properties
      • successCountinteger
      • failureCountinteger
      • totalAttemptsinteger
      • avgDeliveryTimeMsnumber
      • lastSuccessAtstring<date-time>
    • lastInboundAtstring<date-time>

      Last time a message was received on this channel.

    • metadataobject
      1 properties
      • {key}string
    • createdAtstring<date-time>required
    • updatedAtstring<date-time>
400Invalid request.
  • codestringrequired
  • messagestringrequired
  • detailsobject
401Unauthorized.
  • codestringrequired
  • messagestringrequired
  • detailsobject
404Contact or channel not found.
  • codestringrequired
  • messagestringrequired
  • detailsobject